{-# LANGUAGE OverloadedStrings #-}

module Graphics.Icons.FileIcon where

import Data.String
import Graphics.Icons.Types

data FileIcon = FileIcon String
  deriving (Show, Eq)

instance IconCode FileIcon where
  iconPango (FileIcon code) = "<span font_family='file-icons'> &#x" ++ code ++ ";</span>"

instance IsString FileIcon where
  fromString = FileIcon


iconRCode :: FileIcon
iconRCode = "e905"
abapCode :: FileIcon
abapCode = "e92b"
accessCode :: FileIcon
accessCode = "e9ea"
actionscriptCode :: FileIcon
actionscriptCode = "e92e"
adaCode :: FileIcon
adaCode = "e90b"
aeCode :: FileIcon
aeCode = "e9f3"
aiCode :: FileIcon
aiCode = "e6b4"
alloyCode :: FileIcon
alloyCode = "e935"
alpineLinuxCode :: FileIcon
alpineLinuxCode = "e9ff"
amplCode :: FileIcon
amplCode = "e94e"
amxCode :: FileIcon
amxCode = "e99b"
antCode :: FileIcon
antCode = "e93e"
antlrCode :: FileIcon
antlrCode = "e92c"
apiBlueprintCode :: FileIcon
apiBlueprintCode = "e92d"
aplCode :: FileIcon
aplCode = "234b"
aplOldCode :: FileIcon
aplOldCode = "e909"
appleCode :: FileIcon
appleCode = "e925"
appveyorCode :: FileIcon
appveyorCode = "e923"
arcCode :: FileIcon
arcCode = "e92f"
arduinoCode :: FileIcon
arduinoCode = "e930"
asciidocCode :: FileIcon
asciidocCode = "e918"
atsCode :: FileIcon
atsCode = "e934"
audacityCode :: FileIcon
audacityCode = "e9f9"
augeasCode :: FileIcon
augeasCode = "e931"
autoHotkeyCode :: FileIcon
autoHotkeyCode = "e932"
autoitCode :: FileIcon
autoitCode = "e933"
babelCode :: FileIcon
babelCode = "e91f"
bibCode :: FileIcon
bibCode = "e601"
blenderCode :: FileIcon
blenderCode = "e9fa"
bluespecCode :: FileIcon
bluespecCode = "e93c"
booCode :: FileIcon
booCode = "e939"
brainCode :: FileIcon
brainCode = "e93a"
brakemanCode :: FileIcon
brakemanCode = "e9d6"
broCode :: FileIcon
broCode = "e93b"
broccoliCode :: FileIcon
broccoliCode = "e922"
buildBootCode :: FileIcon
buildBootCode = "f103"
byondCode :: FileIcon
byondCode = "e962"
cabalCode :: FileIcon
cabalCode = "e9c2"
cakeCode :: FileIcon
cakeCode = "e9e3"
cakefileCode :: FileIcon
cakefileCode = "e924"
cakephpCode :: FileIcon
cakephpCode = "e9d3"
ccCode :: FileIcon
ccCode = "e9d5"
ceylonCode :: FileIcon
ceylonCode = "e94f"
chapelCode :: FileIcon
chapelCode = "e950"
chuckCode :: FileIcon
chuckCode = "e943"
cirruCode :: FileIcon
cirruCode = "e951"
clarionCode :: FileIcon
clarionCode = "e952"
cleanCode :: FileIcon
cleanCode = "e95b"
clickCode :: FileIcon
clickCode = "e95c"
clipsCode :: FileIcon
clipsCode = "e940"
clispCode :: FileIcon
clispCode = "e972"
cljCode :: FileIcon
cljCode = "f105"
cljsCode :: FileIcon
cljsCode = "f104"
cmakeCode :: FileIcon
cmakeCode = "e93f"
coldFusionCode :: FileIcon
coldFusionCode = "e929"
commonLispCode :: FileIcon
commonLispCode = "e972"
composerCode :: FileIcon
composerCode = "e683"
coqCode :: FileIcon
coqCode = "e95f"
cpCode :: FileIcon
cpCode = "e942"
creoleCode :: FileIcon
creoleCode = "e95e"
crystalCode :: FileIcon
crystalCode = "e902"
csScriptCode :: FileIcon
csScriptCode = "e9e2"
csoundCode :: FileIcon
csoundCode = "e9f0"
cucumberCode :: FileIcon
cucumberCode = "f02b"
cythonCode :: FileIcon
cythonCode = "e963"
darcsCode :: FileIcon
darcsCode = "e964"
dbaseCode :: FileIcon
dbaseCode = "e9f1"
defaultCode :: FileIcon
defaultCode = "1f5c"
diffCode :: FileIcon
diffCode = "e960"
dockerfileCode :: FileIcon
dockerfileCode = "f106"
dogeCode :: FileIcon
dogeCode = "e946"
doxygenCode :: FileIcon
doxygenCode = "e928"
dyalogCode :: FileIcon
dyalogCode = "e90c"
eCode :: FileIcon
eCode = "0045"
eagleCode :: FileIcon
eagleCode = "e965"
ecCode :: FileIcon
ecCode = "e9c9"
ecereCode :: FileIcon
ecereCode = "e966"
eiffelCode :: FileIcon
eiffelCode = "e967"
elispCode :: FileIcon
elispCode = "e926"
elmCode :: FileIcon
elmCode = "f102"
emacsCode :: FileIcon
emacsCode = "e926"
emberscriptCode :: FileIcon
emberscriptCode = "e968"
eslintCode :: FileIcon
eslintCode = "e90e"
excelCode :: FileIcon
excelCode = "e9ee"
fabfileCode :: FileIcon
fabfileCode = "e94b"
factorCode :: FileIcon
factorCode = "e96a"
fancyCode :: FileIcon
fancyCode = "e96b"
fantomCode :: FileIcon
fantomCode = "e96f"
fbxCode :: FileIcon
fbxCode = "e9fc"
finderCode :: FileIcon
finderCode = "e9e9"
flowCode :: FileIcon
flowCode = "e921"
fluxCode :: FileIcon
fluxCode = "e969"
fontCode :: FileIcon
fontCode = "e90f"
fontSizeCode :: FileIcon
fontSizeCode = "e90f"
fortranCode :: FileIcon
fortranCode = "e90a"
freemarkerCode :: FileIcon
freemarkerCode = "e970"
fregeCode :: FileIcon
fregeCode = "e96e"
gamsCode :: FileIcon
gamsCode = "e973"
gapCode :: FileIcon
gapCode = "e971"
genshiCode :: FileIcon
genshiCode = "e976"
gentooCode :: FileIcon
gentooCode = "e96d"
gfCode :: FileIcon
gfCode = "e978"
gladeCode :: FileIcon
gladeCode = "e938"
gnuCode :: FileIcon
gnuCode = "e679"
goCode :: FileIcon
goCode = "e624"
godotCode :: FileIcon
godotCode = "e974"
goloCode :: FileIcon
goloCode = "e979"
gosuCode :: FileIcon
gosuCode = "e97a"
gradleCode :: FileIcon
gradleCode = "e903"
graphqlCode :: FileIcon
graphqlCode = "e97c"
graphvizCode :: FileIcon
graphvizCode = "e97d"
groovyCode :: FileIcon
groovyCode = "e904"
gruntCode :: FileIcon
gruntCode = "e611"
gulpCode :: FileIcon
gulpCode = "e610"
hackCode :: FileIcon
hackCode = "e9ce"
hamlCode :: FileIcon
hamlCode = "f15b"
harbourCode :: FileIcon
harbourCode = "e97b"
hashicorpCode :: FileIcon
hashicorpCode = "e97e"
haxeCode :: FileIcon
haxeCode = "e907"
hyCode :: FileIcon
hyCode = "e97f"
idCode :: FileIcon
idCode = "e9f4"
idlCode :: FileIcon
idlCode = "e947"
idrisCode :: FileIcon
idrisCode = "e983"
igorproCode :: FileIcon
igorproCode = "e980"
inform7Code :: FileIcon
inform7Code = "e984"
innoCode :: FileIcon
innoCode = "e985"
ioCode :: FileIcon
ioCode = "e981"
iokeCode :: FileIcon
iokeCode = "e982"
ionicProjectCode :: FileIcon
ionicProjectCode = "f14b"
isabelleCode :: FileIcon
isabelleCode = "e945"
jCode :: FileIcon
jCode = "e937"
jadeCode :: FileIcon
jadeCode = "e90d"
jakeCode :: FileIcon
jakeCode = "e948"
jenkinsCode :: FileIcon
jenkinsCode = "e667"
jinjaCode :: FileIcon
jinjaCode = "e944"
jsonldCode :: FileIcon
jsonldCode = "e958"
jsxCode :: FileIcon
jsxCode = "f100"
jsx2Code :: FileIcon
jsx2Code = "f101"
jsx2AltCode :: FileIcon
jsx2AltCode = "e9e6"
juliaCode :: FileIcon
juliaCode = "26ec"
jupyterCode :: FileIcon
jupyterCode = "e987"
karmaCode :: FileIcon
karmaCode = "e9cd"
keynoteCode :: FileIcon
keynoteCode = "e9e5"
khronosCode :: FileIcon
khronosCode = "e9f8"
kivyCode :: FileIcon
kivyCode = "e901"
knockoutCode :: FileIcon
knockoutCode = "004b"
kotlinCode :: FileIcon
kotlinCode = "e989"
krlCode :: FileIcon
krlCode = "e988"
labviewCode :: FileIcon
labviewCode = "e98a"
lassoCode :: FileIcon
lassoCode = "e98c"
leanCode :: FileIcon
leanCode = "004c"
lessCode :: FileIcon
lessCode = "007b"
lfeCode :: FileIcon
lfeCode = "e94c"
lightwaveCode :: FileIcon
lightwaveCode = "e9fb"
lispCode :: FileIcon
lispCode = "e908"
livescriptCode :: FileIcon
livescriptCode = "e914"
llvmCode :: FileIcon
llvmCode = "e91d"
logtalkCode :: FileIcon
logtalkCode = "e98d"
lookmlCode :: FileIcon
lookmlCode = "e98e"
lslCode :: FileIcon
lslCode = "e98b"
luaCode :: FileIcon
luaCode = "e91b"
makoCode :: FileIcon
makoCode = "e98f"
manPageCode :: FileIcon
manPageCode = "e936"
mapboxCode :: FileIcon
mapboxCode = "e941"
markoCode :: FileIcon
markoCode = "e920"
mathematicaCode :: FileIcon
mathematicaCode = "e990"
matlabCode :: FileIcon
matlabCode = "e991"
maxCode :: FileIcon
maxCode = "e993"
maxscriptCode :: FileIcon
maxscriptCode = "e900"
mayaCode :: FileIcon
mayaCode = "e9f6"
mediawikiCode :: FileIcon
mediawikiCode = "e954"
mercuryCode :: FileIcon
mercuryCode = "e994"
metalCode :: FileIcon
metalCode = "004d"
meteorCode :: FileIcon
meteorCode = "e6a5"
minecraftCode :: FileIcon
minecraftCode = "e9dc"
mirahCode :: FileIcon
mirahCode = "e995"
modula2Code :: FileIcon
modula2Code = "e996"
monkeyCode :: FileIcon
monkeyCode = "e997"
moustacheCode :: FileIcon
moustacheCode = "e60f"
mupadCode :: FileIcon
mupadCode = "e9ca"
nantCode :: FileIcon
nantCode = "e9e1"
netlogoCode :: FileIcon
netlogoCode = "e99c"
newRelicCode :: FileIcon
newRelicCode = "e9d7"
nginxCode :: FileIcon
nginxCode = "f146"
nibCode :: FileIcon
nibCode = "2712"
nimrodCode :: FileIcon
nimrodCode = "e998"
nitCode :: FileIcon
nitCode = "e999"
nixCode :: FileIcon
nixCode = "e99a"
nmapCode :: FileIcon
nmapCode = "e94d"
npmCode :: FileIcon
npmCode = "e91c"
npmOldCode :: FileIcon
npmOldCode = "f17b"
nsisCode :: FileIcon
nsisCode = "e992"
nugetCode :: FileIcon
nugetCode = "e9d9"
numpyCode :: FileIcon
numpyCode = "e99d"
nunjucksCode :: FileIcon
nunjucksCode = "e953"
nvidiaCode :: FileIcon
nvidiaCode = "e95d"
objCode :: FileIcon
objCode = "e9e8"
objectiveJCode :: FileIcon
objectiveJCode = "e99e"
ocamlCode :: FileIcon
ocamlCode = "e91a"
onenoteCode :: FileIcon
onenoteCode = "e9eb"
oocCode :: FileIcon
oocCode = "e9cb"
opaCode :: FileIcon
opaCode = "2601"
openclCode :: FileIcon
openclCode = "e99f"
openofficeCode :: FileIcon
openofficeCode = "e9e4"
openscadCode :: FileIcon
openscadCode = "e911"
orgCode :: FileIcon
orgCode = "e917"
owlCode :: FileIcon
owlCode = "e957"
oxCode :: FileIcon
oxCode = "e9a1"
oxygeneCode :: FileIcon
oxygeneCode = "e9bf"
ozCode :: FileIcon
ozCode = "e9be"
panCode :: FileIcon
panCode = "e9bd"
papyrusCode :: FileIcon
papyrusCode = "e9bc"
parrotCode :: FileIcon
parrotCode = "e9bb"
pascalCode :: FileIcon
pascalCode = "e92a"
patchCode :: FileIcon
patchCode = "e961"
pawnCode :: FileIcon
pawnCode = "265f"
perl6Code :: FileIcon
perl6Code = "e96c"
phalconCode :: FileIcon
phalconCode = "e94a"
phpCode :: FileIcon
phpCode = "f147"
pickleCode :: FileIcon
pickleCode = "e9c4"
pikeCode :: FileIcon
pikeCode = "e9b9"
pogoCode :: FileIcon
pogoCode = "e9b8"
pointwiseCode :: FileIcon
pointwiseCode = "e977"
ponyCode :: FileIcon
ponyCode = "e9b7"
postcssCode :: FileIcon
postcssCode = "e910"
postscriptCode :: FileIcon
postscriptCode = "e955"
povrayCode :: FileIcon
povrayCode = "0050"
powerpointCode :: FileIcon
powerpointCode = "e9ec"
powershellCode :: FileIcon
powershellCode = "e9da"
pptCode :: FileIcon
pptCode = "e9ec"
premiereCode :: FileIcon
premiereCode = "e9f5"
presentationCode :: FileIcon
presentationCode = "e9e5"
processingCode :: FileIcon
processingCode = "e9a0"
progressCode :: FileIcon
progressCode = "e9c0"
propellerCode :: FileIcon
propellerCode = "e9b5"
protractorCode :: FileIcon
protractorCode = "e9de"
psCode :: FileIcon
psCode = "e6b8"
pugCode :: FileIcon
pugCode = "e9d0"
puppetCode :: FileIcon
puppetCode = "f0c3"
purebasicCode :: FileIcon
purebasicCode = "01b5"
purescriptCode :: FileIcon
purescriptCode = "e9b2"
rCode :: FileIcon
rCode = "e905"
racketCode :: FileIcon
racketCode = "e9b1"
ramlCode :: FileIcon
ramlCode = "e913"
rdocCode :: FileIcon
rdocCode = "e9b0"
reactCode :: FileIcon
reactCode = "f100"
realbasicCode :: FileIcon
realbasicCode = "e9af"
rebolCode :: FileIcon
rebolCode = "e9ae"
redCode :: FileIcon
redCode = "e9ad"
riotCode :: FileIcon
riotCode = "e919"
robotCode :: FileIcon
robotCode = "e9ac"
rollupCode :: FileIcon
rollupCode = "e9fd"
rotCode :: FileIcon
rotCode = "1f76"
rstCode :: FileIcon
rstCode = "e9cc"
sageCode :: FileIcon
sageCode = "e9ab"
saltstackCode :: FileIcon
saltstackCode = "e915"
sasCode :: FileIcon
sasCode = "e95a"
sbtCode :: FileIcon
sbtCode = "e9d2"
scCode :: FileIcon
scCode = "e9a2"
schemeCode :: FileIcon
schemeCode = "03bb"
scilabCode :: FileIcon
scilabCode = "e9a9"
scrutinizerCode :: FileIcon
scrutinizerCode = "e9d4"
selfCode :: FileIcon
selfCode = "e9a8"
sfCode :: FileIcon
sfCode = "e9db"
shenCode :: FileIcon
shenCode = "e9a7"
shopifyCode :: FileIcon
shopifyCode = "e9cf"
sketchCode :: FileIcon
sketchCode = "e927"
slashCode :: FileIcon
slashCode = "e9a6"
sparqlCode :: FileIcon
sparqlCode = "e959"
sqfCode :: FileIcon
sqfCode = "e9a5"
sqliteCode :: FileIcon
sqliteCode = "e9dd"
stanCode :: FileIcon
stanCode = "e9a4"
stataCode :: FileIcon
stataCode = "e9a3"
storyistCode :: FileIcon
storyistCode = "e9ef"
stringsCode :: FileIcon
stringsCode = "e9e0"
stylelintCode :: FileIcon
stylelintCode = "e93d"
stylusCode :: FileIcon
stylusCode = "0073"
stylusFullCode :: FileIcon
stylusFullCode = "e9f7"
stylusOrbCode :: FileIcon
stylusOrbCode = "0053"
sublimeCode :: FileIcon
sublimeCode = "e986"
svCode :: FileIcon
svCode = "e9c3"
tclCode :: FileIcon
tclCode = "e956"
terraformCode :: FileIcon
terraformCode = "e916"
texCode :: FileIcon
texCode = "e600"
textileCode :: FileIcon
textileCode = "0074"
textmateCode :: FileIcon
textmateCode = "2122"
thorCode :: FileIcon
thorCode = "e9d8"
tsxCode :: FileIcon
tsxCode = "e9d1"
tsxAltCode :: FileIcon
tsxAltCode = "e9e7"
turingCode :: FileIcon
turingCode = "e9b6"
txlCode :: FileIcon
txlCode = "e9c1"
typescriptCode :: FileIcon
typescriptCode = "e912"
typescriptAltCode :: FileIcon
typescriptAltCode = "02a6"
typingsCode :: FileIcon
typingsCode = "e9df"
unoCode :: FileIcon
unoCode = "e9b3"
unrealCode :: FileIcon
unrealCode = "0075"
urwebCode :: FileIcon
urwebCode = "e9ba"
vagrantCode :: FileIcon
vagrantCode = "0056"
vclCode :: FileIcon
vclCode = "e9b4"
verilogCode :: FileIcon
verilogCode = "e949"
vhdlCode :: FileIcon
vhdlCode = "e9aa"
vueCode :: FileIcon
vueCode = "e906"
webpackCode :: FileIcon
webpackCode = "e91e"
wordCode :: FileIcon
wordCode = "e9ed"
x10Code :: FileIcon
x10Code = "2169"
xmosCode :: FileIcon
xmosCode = "0058"
xpagesCode :: FileIcon
xpagesCode = "e9c5"
xtendCode :: FileIcon
xtendCode = "e9c6"
yinYangCode :: FileIcon
yinYangCode = "262f"
yoyoCode :: FileIcon
yoyoCode = "e975"
zbrushCode :: FileIcon
zbrushCode = "e9f2"
zephirCode :: FileIcon
zephirCode = "e9c7"
zimplCode :: FileIcon
zimplCode = "e9c8"
